Django MapStore2 Adapter


Keywords
django, mapstore, mapstore2
License
BSD-3-Clause
Install
pip install django-mapstore-adapter==1.0.8

Documentation

Django MapStore2 Adapter

GeoSolutions

Django Adapter for MapStore2

https://badge.fury.io/py/django-mapstore-adapter.svg?service=github Build Status Coverage Status
If you are facing one or more of the following:
  • TODO,
  • TODO,

TODO

Contributing

We love contributions, so please feel free to fix bugs, improve things, provide documentation. Just follow the guidelines and submit a PR.

Requirements

  • Python 2.7, 3.4, 3.5, 3.6
  • Django 1.11, 2.0

Installation

Install with pip:

pip install django-mapstore-adapter

Add mapstore2_adapter to your INSTALLED_APPS

INSTALLED_APPS = (
    ...
    'mapstore2_adapter',
)

If you need an OAuth2 provider you'll want to add the following to your urls.py. Notice that mapstore2_adapter namespace is mandatory.

urlpatterns = [
    ...
    url(r'^o/', include('mapstore2_adapter.urls', namespace='mapstore2_adapter')),
]

Changelog

See CHANGELOG.md.

Documentation

The full documentation is on Read the Docs.

License

django-mapstore-adapter is released under the terms of the Simplified BSD license. Full details in LICENSE file.